import dayjs from "dayjs";

export const TimeText = (time = new Date()): string =>
  dayjs(time).format("HH:mm:ss");
export const DateText = (time = new Date()): string =>
  dayjs(time).format("YY-MM-DD");
export const DateTimeText = (time = new Date()): string =>
  dayjs(time).format("YY-MM-DD HH:mm:ss");

export const TimeChs = (time = new Date()): string =>
  dayjs(time).format("HH点mm分");
export const DateChs = (time = new Date()): string =>
  dayjs(time).format("MM月DD日");
export const DateTimeChs = (time = new Date()): string =>
  dayjs(time).format("MM月DD日 HH点mm分");

export const nyanpasu = () => {
  const curHour = new Date().getHours();
  switch (true) {
    case curHour > 21 || curHour < 5:
      return "晚上好呀～";
    case curHour > 13:
      return "下午好呀～";
    case curHour > 11:
      return "中午好呀～";
    case curHour > 5:
    default:
      return "早呀～";
  }
};
