const int = (p1: number, p2?: number): number => {
  let min, max;
  if (p2 !== undefined) {
    min = p1;
    max = p2;
  } else {
    min = 0;
    max = p1;
  }

  return min + Math.floor(Math.random() * (max + 1 - min));
};

const pick = <T>(list: T[]): T => list[int(list.length - 1)];

export const random = { int, pick };
