import Mirai from "mirai-ts";

import { random } from "../../common/random";

function randomMessage(): string {
  let message = "路人女主{主角}，{剧集}在{舞台}{场景}......";
  message = message
    .replace("{主角}", random.pick(["加藤惠", "諸葛惠", "计划通"]))
    .replace(
      "{剧集}",
      random.pick([
        "TV动画第三集",
        "TV动画第五集",
        "TV动画第七集",
        "TV动画第十集",
        "小说第二章",
        "小说第四章",
        "小说第六章",
        "小说第九章",
      ])
    )
    .replace(
      "{舞台}",
      random.pick(["商场", "教室", "天台", "公寓", "路上", "公寓门口"])
    )
    .replace(
      "{场景}",
      random.pick(["和伦也", "为什么", "和刀叔", "碰见金毛", "的时候"])
    );
  return message;
}

export const install = async (mirai: Mirai) => {
  mirai.on("GroupMessage", async (msg) => {
    if (msg.plain.includes("刀叔召唤术")) msg.reply(randomMessage());
  });
};
